Public Member Functions

# FallbackParagraphLayout::FallbackLine Class Reference

A single line worth of VisualRuns. More...

Inheritance diagram for FallbackParagraphLayout::FallbackLine:

## Public Member Functions
int | GetLeading () const
| Get the height of the line.
int | GetWidth () const
| Get the width of this line.
int | CountRuns () const
| Get the number of runs in this line.
const ParagraphLayouter::VisualRun * | GetVisualRun (int run) const
| Get a specific visual run.
int | GetInternalCharLength (WChar c) const

## Detailed Description

A single line worth of VisualRuns.

Definition at line 262 of file gfx_layout.cpp.

## Member Function Documentation

int FallbackParagraphLayout::FallbackLine::CountRuns | ( |  | ) | const`[virtual]`

Get the number of runs in this line.

Returns:
  The number of runs.

Implements ParagraphLayouter::Line.

Definition at line 404 of file gfx_layout.cpp.

References SmallVector< FallbackVisualRun *, S >::Length().

Referenced by GetWidth().

int FallbackParagraphLayout::FallbackLine::GetLeading | ( |  | ) | const`[virtual]`

Get the height of the line.

Returns:
  The maximum height of the line.

Implements ParagraphLayouter::Line.

Definition at line 373 of file gfx_layout.cpp.

References SmallVector< FallbackVisualRun *, S >::Begin(), SmallVector< FallbackVisualRun *, S >::End(), and max().

const ParagraphLayouter::VisualRun * FallbackParagraphLayout::FallbackLine::GetVisualRun | ( | int | run | ) | const`[virtual]`

Get a specific visual run.

Returns:
  The visual run.

Implements ParagraphLayouter::Line.

Definition at line 413 of file gfx_layout.cpp.

References SmallVector< FallbackVisualRun *, S >::Get().

Referenced by GetWidth().

int FallbackParagraphLayout::FallbackLine::GetWidth | ( |  | ) | const`[virtual]`

Get the width of this line.

Returns:
  The width of the line.

Implements ParagraphLayouter::Line.

Definition at line 387 of file gfx_layout.cpp.

References CountRuns(), GetVisualRun(), and SmallVector< FallbackVisualRun *, S >::Length().

Referenced by FallbackParagraphLayout::NextLine().

The documentation for this class was generated from the following file:

- src/gfx_layout.cpp